## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1

Name:           python-crc32c
Version:        2.7.1
Release:        %autorelease
Summary:        A python package implementing the crc32c algorithm in hardware and software

License:        LGPL-2.1-or-later
URL:            https://github.com/ICRAR/crc32c
Source:         %{url}/archive/refs/tags/v%{version}/crc32c-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  gcc
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pytest)

%global _description %{expand:
This package implements the crc32c checksum algorithm. It automatically
chooses between a hardware-based implementation (using theCRC32C SSE
4.2 instruction of Intel CPUs, and the crc32* instructions on ARMv8
CPUs), or a software-based one when no hardware support can be found.}

%description %{_description}


%package -n python3-crc32c
Summary:        %{summary}

%description -n python3-crc32c %{_description}


%prep
%autosetup -n crc32c-%{version}


%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x testing}


%build
%py3_build


%install
%py3_install


%check
%py3_check_import crc32c

%if %{with tests}
%pytest
PYTHONPATH=%{buildroot}%{python3_sitearch} %{python3} run-tests.py
%endif


%files -n python3-crc32c
%doc CHANGELOG.md
%license LICENSE
%license LICENSE.google-crc32c
%license LICENSE.slice-by-8
%doc README.rst

%{python3_sitearch}/crc32c/
%{python3_sitearch}/crc32c-%{version}-*.egg-info

%changelog
## START: Generated by rpmautospec
* Mon Jan 20 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Oct 15 2024 Doğukan Çağatay <dogukan.cagatay@aiven.io> - 2.7.1-2
- Update sources file for 2.7.1

* Tue Oct 15 2024 Doğukan Çağatay <dogukan.cagatay@aiven.io> - 2.7.1-1
- Bump version 2.7.1

* Thu Aug 29 2024 Doğukan Çağatay <dogukan.cagatay@aiven.io> - 2.7.post1-3
- Fix source checksum file for 2.7.post1

* Thu Aug 29 2024 Doğukan Çağatay <dogukan.cagatay@aiven.io> - 2.7.post1-1
- Bump version 2.7.post1

* Fri Jul 05 2024 Doğukan Çağatay <dogukan.cagatay@aiven.io> - 2.4.1-1
- Update version 2.4.1

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.4-6
- Rebuilt for Python 3.13

* Thu Jun 06 2024 Doğukan Çağatay <dogukan.cagatay@aiven.io> - 2.4-5
- Remove -mstackrealign compiler flag completely from any architecture

* Sat Jun 01 2024 Doğukan Çağatay <dcagatay@gmail.com> - 2.4-4
- Disable -mstackrealign compiler flag except ix86 and x86_64

* Sat Jun 01 2024 Doğukan Çağatay <dcagatay@gmail.com> - 2.4-3
- Enable -mstackrealign compiler flag for all architectures

* Sat Jun 01 2024 Doğukan Çağatay <dcagatay@gmail.com> - 2.4-2
- Add -mstackrealign compiler flag for ix86 builds

* Fri Apr 19 2024 Doğukan Çağatay <dogukan.cagatay@aiven.io> - 2.4-1
- Initial import (fedora#2265949).
## END: Generated by rpmautospec
